/**
 * Copyright (c) 1993 Richard V. Nash.
 * Copyright (c) 2000 Dan Papasian.  All rights reserved.
 *
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *    
 * This file contains descriptive text for the C preprocessor macros
 * that are missing in the original acconfig.h of the autoconf
 * distribution, but used in the configure.in of the FICS distribution.
 *
 * It is used *only* by the autoheader program contained in the
 * autoconf distribution.
 *
 *
 * Leave the following blank line there!!  Autoheader needs it.
 */

/*  Define this to be the return value of the time() function.  */
#undef time_t

/*  Undefine, if your compiler doesn't support prototypes  */
#undef HAVE_PROTOTYPES

/*  Define, if you have a statfs() function which fills a struct
    statfs, declared in sys/vfs.h. (NeXTStep)  */
#undef HAVE_STATFS_FILLING_STRUCT_STATFS

/*  Define, if you have a statfs() function which fills a struct
    fs_data, declared in sys/mount.h. (Ultrix)  */
#undef HAVE_STATFS_FILLING_STRUCT_FS_DATA

/*  Define, if you have crypt() and it is declared in either
    crypt.h or unistd.h.  */
#undef HAVE_CRYPT_DECLARED

/*  Define this to be tv_usec, if your struct rusage has
    a member ru_utime.tv_usec.
    Define this to be tv_nsec, if your struct rusage has
    a member ru_utime.tv_nsec.  */
#undef TV_USEC
